1 Reply Latest reply on Sep 8, 2015 2:51 AM by Matous Jobanek

    Warning with WildFly 10.0.0.Beta2

    Juergen Zimmermann Master

      I just upgraded to the latest WildFly release, and get the following warning when running my Arquillian tests. Any hint is appreciated.

       

      Aug 30, 2015 11:06:07 AM org.xnio.Xnio <clinit>

      INFO: XNIO version 3.3.1.Final

      Aug 30, 2015 11:06:07 AM org.xnio.nio.NioXnio <clinit>

      INFO: XNIO NIO Implementation Version 3.3.1.Final

      Aug 30, 2015 11:06:07 AM org.jboss.remoting3.EndpointImpl <clinit>

      INFO: JBoss Remoting version 4.0.9.Final

      Aug 30, 2015 11:06:31 AM org.jboss.remotingjmx.Util warnDeprecated

      WARN: The protocol 'http-remoting-jmx' is deprecated, instead you should use 'remote+http'.

       

      The deployment code is as follows:

      @Deployment(name = "...", testable = false)

      @OverProtocol(value = "Servlet 3.0")

      protected static Archive<?> deployment() {

         return ...;

      }

       

      Declaring <defaultProtocol type="Servlet 3.0"> in arquillian.xml, didn't help either.